<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>CoreModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="830pt" height="284pt"
 viewBox="0.00 0.00 830.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-280 826,-280 826,4 -4,4"/>
<text text-anchor="start" x="390.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="177,-10 177,-30 197,-30 197,-10 177,-10"/>
<text text-anchor="start" x="200.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="290,-10 290,-30 310,-30 310,-10 290,-10"/>
<text text-anchor="start" x="313.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="376,-10 376,-30 396,-30 396,-10 376,-10"/>
<text text-anchor="start" x="399.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="473,-10 473,-30 493,-30 493,-10 473,-10"/>
<text text-anchor="start" x="496.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="569,-10 569,-30 589,-30 589,-10 569,-10"/>
<text text-anchor="start" x="592.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_CoreModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-268 814,-268 814,-70 8,-70"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_CoreModule_exports</title>
<polygon fill="none" stroke="black" points="268,-208 268,-260 542,-260 542,-208 268,-208"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_CoreModule_declarations</title>
<polygon fill="none" stroke="black" points="413,-78 413,-130 806,-130 806,-78 413,-78"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_CoreModule_imports</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 405,-130 405,-78 16,-78"/>
</g>
<!-- CoreComponent -->
<g id="node1" class="node">
<title>CoreComponent</title>
<polygon fill="#ffffb3" stroke="black" points="798.05,-122 689.95,-122 689.95,-86 798.05,-86 798.05,-122"/>
<text text-anchor="middle" x="744" y="-99.8" font-family="Times,serif" font-size="14.00">CoreComponent</text>
</g>
<!-- CoreModule -->
<g id="node4" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="black" points="448.26,-187 445.26,-191 424.26,-191 421.26,-187 361.74,-187 361.74,-151 448.26,-151 448.26,-187"/>
<text text-anchor="middle" x="405" y="-164.8" font-family="Times,serif" font-size="14.00">CoreModule</text>
</g>
<!-- CoreComponent&#45;&gt;CoreModule -->
<g id="edge1" class="edge">
<title>CoreComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M744,-122.28C744,-143.32 744,-175 744,-175 744,-175 458.28,-175 458.28,-175"/>
<polygon fill="black" stroke="black" points="458.28,-171.5 448.28,-175 458.28,-178.5 458.28,-171.5"/>
</g>
<!-- HomeComponent -->
<g id="node2" class="node">
<title>HomeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="671.55,-122 556.45,-122 556.45,-86 671.55,-86 671.55,-122"/>
<text text-anchor="middle" x="614" y="-99.8" font-family="Times,serif" font-size="14.00">HomeComponent</text>
</g>
<!-- HomeComponent&#45;&gt;CoreModule -->
<g id="edge2" class="edge">
<title>HomeComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M614,-122.02C614,-139.37 614,-163 614,-163 614,-163 458.3,-163 458.3,-163"/>
<polygon fill="black" stroke="black" points="458.3,-159.5 448.3,-163 458.3,-166.5 458.3,-159.5"/>
</g>
<!-- ResultComponent -->
<g id="node3" class="node">
<title>ResultComponent</title>
<polygon fill="#ffffb3" stroke="black" points="538.61,-122 421.39,-122 421.39,-86 538.61,-86 538.61,-122"/>
<text text-anchor="middle" x="480" y="-99.8" font-family="Times,serif" font-size="14.00">ResultComponent</text>
</g>
<!-- ResultComponent&#45;&gt;CoreModule -->
<g id="edge3" class="edge">
<title>ResultComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M434.91,-122.11C434.91,-122.11 434.91,-140.99 434.91,-140.99"/>
<polygon fill="black" stroke="black" points="431.41,-140.99 434.91,-150.99 438.41,-140.99 431.41,-140.99"/>
</g>
<!-- HomeComponent  -->
<g id="node8" class="node">
<title>HomeComponent </title>
<polygon fill="#fb8072" stroke="black" points="533.54,-252 414.46,-252 414.46,-216 533.54,-216 533.54,-252"/>
<text text-anchor="middle" x="474" y="-229.8" font-family="Times,serif" font-size="14.00">HomeComponent </text>
</g>
<!-- CoreModule&#45;&gt;HomeComponent  -->
<g id="edge7" class="edge">
<title>CoreModule&#45;&gt;HomeComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M431.43,-187.11C431.43,-187.11 431.43,-205.99 431.43,-205.99"/>
<polygon fill="black" stroke="black" points="427.93,-205.99 431.43,-215.99 434.93,-205.99 427.93,-205.99"/>
</g>
<!-- ResultComponent  -->
<g id="node9" class="node">
<title>ResultComponent </title>
<polygon fill="#fb8072" stroke="black" points="396.11,-252 275.89,-252 275.89,-216 396.11,-216 396.11,-252"/>
<text text-anchor="middle" x="336" y="-229.8" font-family="Times,serif" font-size="14.00">ResultComponent </text>
</g>
<!-- CoreModule&#45;&gt;ResultComponent  -->
<g id="edge8" class="edge">
<title>CoreModule&#45;&gt;ResultComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M378.96,-187.11C378.96,-187.11 378.96,-205.99 378.96,-205.99"/>
<polygon fill="black" stroke="black" points="375.46,-205.99 378.96,-215.99 382.46,-205.99 375.46,-205.99"/>
</g>
<!-- CoreRoutingModule -->
<g id="node5" class="node">
<title>CoreRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="396.88,-122 393.88,-126 372.88,-126 369.88,-122 265.12,-122 265.12,-86 396.88,-86 396.88,-122"/>
<text text-anchor="middle" x="331" y="-99.8" font-family="Times,serif" font-size="14.00">CoreRoutingModule</text>
</g>
<!-- CoreRoutingModule&#45;&gt;CoreModule -->
<g id="edge4" class="edge">
<title>CoreRoutingModule&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M379.28,-122.11C379.28,-122.11 379.28,-140.99 379.28,-140.99"/>
<polygon fill="black" stroke="black" points="375.78,-140.99 379.28,-150.99 382.78,-140.99 375.78,-140.99"/>
</g>
<!-- MaterialModule -->
<g id="node6" class="node">
<title>MaterialModule</title>
<polygon fill="#8dd3c7" stroke="black" points="247.47,-122 244.47,-126 223.47,-126 220.47,-122 140.53,-122 140.53,-86 247.47,-86 247.47,-122"/>
<text text-anchor="middle" x="194" y="-99.8" font-family="Times,serif" font-size="14.00">MaterialModule</text>
</g>
<!-- MaterialModule&#45;&gt;CoreModule -->
<g id="edge5" class="edge">
<title>MaterialModule&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M194,-122.02C194,-139.37 194,-163 194,-163 194,-163 351.54,-163 351.54,-163"/>
<polygon fill="black" stroke="black" points="351.54,-166.5 361.54,-163 351.54,-159.5 351.54,-166.5"/>
</g>
<!-- SharedModule -->
<g id="node7" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="black" points="122.42,-122 119.42,-126 98.42,-126 95.42,-122 23.58,-122 23.58,-86 122.42,-86 122.42,-122"/>
<text text-anchor="middle" x="73" y="-99.8" font-family="Times,serif" font-size="14.00">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;CoreModule -->
<g id="edge6" class="edge">
<title>SharedModule&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M73,-122.28C73,-143.32 73,-175 73,-175 73,-175 351.6,-175 351.6,-175"/>
<polygon fill="black" stroke="black" points="351.6,-178.5 361.6,-175 351.6,-171.5 351.6,-178.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/core/core.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/CoreComponent.html">CoreComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HomeComponent.html">HomeComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ResultComponent.html">ResultComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>EntryComponents<a href="https://angular.io/api/core/NgModule#entryComponents" target="_blank"
                            title="Official documentation about module entryComponents"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ResultComponent.html">ResultComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/CoreRoutingModule.html">CoreRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/MaterialModule.html">MaterialModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/HomeComponent.html">HomeComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ResultComponent.html">ResultComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { HomeComponent } from &#x27;./home/home.component&#x27;;
import { ResultComponent } from &#x27;./result/result.component&#x27;;
import { MaterialModule } from &#x27;../material-module&#x27;;
import { CoreComponent } from &#x27;./core.component&#x27;;
import { CoreRoutingModule } from &#x27;./core-routing.module&#x27;;
import { SharedModule } from &#x27;../shared/shared.module&#x27;;
import { ReactiveFormsModule } from &#x27;@angular/forms&#x27;;



@NgModule({
  declarations: [
    HomeComponent,
    ResultComponent,
    CoreComponent
  ],
  imports: [
    CommonModule,
    MaterialModule,
    CoreRoutingModule,
    SharedModule,
    ReactiveFormsModule
  ],
  entryComponents: [
    ResultComponent
  ],
  exports: [
    HomeComponent,
    ResultComponent
  ]
})
export class CoreModule { }
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'CoreModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
